HEX
Server: LiteSpeed
System: Linux houston.panomity.com 6.8.0-100-generic #100-Ubuntu SMP PREEMPT_DYNAMIC Tue Jan 13 16:40:06 UTC 2026 x86_64
User: nudepix (1011)
PHP: 7.4.33
Disabled: pcntl_alarm,pcntl_fork,pcntl_waitpid,pcntl_wait,pcntl_wifexited,pcntl_wifstopped,pcntl_wifsignaled,pcntl_wifcontinued,pcntl_wexitstatus,pcntl_wtermsig,pcntl_wstopsig,pcntl_signal,pcntl_signal_get_handler,pcntl_signal_dispatch,pcntl_get_last_error,pcntl_strerror,pcntl_sigprocmask,pcntl_sigwaitinfo,pcntl_sigtimedwait,pcntl_exec,pcntl_getpriority,pcntl_setpriority,pcntl_async_signals,pcntl_unshare,
Upload Files
File: //usr/share/perl-openssl-defaults/get-libssl-abi
#!/bin/sh

# read SONAME version from /usr/lib/<triplet>/libssl.so

DEB_HOST_GNU_TYPE=${DEB_HOST_GNU_TYPE:-$(dpkg-architecture -qDEB_HOST_GNU_TYPE)}
DEB_HOST_MULTIARCH=${DEB_HOST_MULTIARCH:-$(dpkg-architecture -qDEB_HOST_MULTIARCH)}

SOFILE=/usr/lib/${DEB_HOST_MULTIARCH}/libssl.so
OBJDUMP=${DEB_HOST_GNU_TYPE}-objdump

if [ ! -r "$SOFILE" ]; then
    echo "Can't read '$SOFILE', aborting" 1>&2
    exit 1
fi

if ! which "$OBJDUMP" >/dev/null 2>&1; then
    echo "Can't run '$OBJDUMP', aborting" 1>&2
    exit 1
fi

SONAME=$("$OBJDUMP" -p "$SOFILE" | perl -ne '/SONAME\s+libssl\.so\.(.+)/ and print $1')

if [ ! -n "$SONAME" ]; then
    echo "Could not parse SONAME from the output of '$OBJDUMP' '$SOFILE', aborting" 1>&2
    exit 2
fi

echo "$SONAME"